from intranet.femida.src.core.exceptions import FemidaError


class HeadhunterError(FemidaError):

    def __init__(self, message='hh_error'):
        self.message = message


class HeadhunterOauthError(HeadhunterError):

    def __init__(self, message='hh_oauth_error'):
        self.message = message


class HeadhunterTokenExpiredError(HeadhunterOauthError):

    def __init__(self, message='hh_token_expired_error'):
        self.message = message
